<?php 



include ("../conectar.php"); 
	
	session_start();
	$usuario=limpiar($_SESSION['username']);
		$sqll=mysql_query("SELECT * FROM usuarios WHERE usu='$usuario'");
		if($dato=mysql_fetch_array($sqll)){
			$nombre=$dato['usu'];
			$palabra=explode(" ", $nombre);
			$nomb=$palabra[0];
		}

$fechahoy=date("Y-m-d");
$sel_fact="INSERT INTO facturastmp (codfactura,fecha) VALUE ('','$fechahoy')";
$rs_fact=mysql_query($sel_fact);
$codfacturatmp=mysql_insert_id();

// Se actualiza a la nueva numeracion de factura
if ($setnumfac==1)
{
	$sel_articulos="UPDATE facturastmp SET codfactura='$numeracionfactura' WHERE codfactura='$codfacturatmp'";
	$rs_articulos=mysql_query($sel_articulos);
	$codfacturatmp=$numeracionfactura;
}
?>
<html>
	<head>
		<title>Principal</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<link href="../calendario/calendar-blue.css" rel="stylesheet" type="text/css">
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/lang/calendar-sp.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar-setup.js"></script>
		<script language="javascript">
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		
		var miPopup
		function abreVentana(){
			miPopup = window.open("ver_clientes.php","miwin","width=700,height=650,scrollbars=yes");
			miPopup.focus();
		}
		
		function ventanaArticulos(){
			var codigo=document.getElementById("cdgcli").value;
			if (codigo=="") {
				alert ("Debe introducir el codigo del cliente");
			} else {
					miPopup = window.open("ver_articulos.php?codigo="+codigo,"miwin","width=700,height=650,scrollbars=yes");
				actualizar_importe ();
			}
		}
	
	
		
					
		
		function validarcliente(){
			var codigo=document.getElementById("cdgcli").value;
		     if (document.getElementById("cdgcli").value==9999){
			    document.getElementById("dsccli").value="Estimado Cliente";
			    document.getElementById("cedcli").value="";
				document.getElementById("preivi").value="";
				document.getElementById("vehpla").value="";
				document.getElementById("cdgart").value="";
				document.getElementById("dscart").value="";
				document.getElementById("cantidad").value="";
				document.getElementById("importe").value="";
				document.getElementById("combotipoventa").value=1;
				    document.getElementById("kmsveh").value="";
				
			 } else {
			miPopup = window.open("comprobarcliente.php?cdgcli="+codigo,"frame_datos1","width=900,height=90,scrollbars=yes");
			miPopup.focus();
			
		}	
		}
			function validararticulo(){
			
			var cliente=document.getElementById("cdgcli").value;
			var codigo=document.getElementById("cdgart").value;
			miPopup = window.open("comprobararticulo.php?cdgart="+codigo+"&cdgcli="+cliente, "frame_datos2","width=900,height=90,scrollbars=yes");
			
					//window.open("clientes.php?cdgcli="+cdgcli+"&dsccli="+dsccli+"&cedcli="+cedcli+"&numtel="+numtel);
			actualizar_importe ();
		}	
		
		function cancelar() {
			location.href="index.php";
		}
		
		function limpiarcaja() {
			document.getElementById("dsccli").value="";
			document.getElementById("cedcli").value="";
		}
		
			function limpiararticulo() {
			document.getElementById("cdgart").value="";
			document.getElementById("dscart").value="";
			document.getElementById("descuento").value="";
			document.getElementById("preivi").value="";
			document.getElementById("importe").value="";
			document.getElementById("cantidad").value="";
		}
		
	
		
		function actualizar_importe()		{
		
		
		if (document.getElementById("cliexe").value==1){
		
	
			    	document.getElementById("importe").value="";
				var preivi=document.getElementById("preivi").value;
				var cantidad=document.getElementById("cantidad").value;
				var descuento=document.getElementById("descuento").value;
				
				
					if (document.getElementById("cob_iv").value==1){
				descuento=descuento/100;
				total=preivi*cantidad;
				descuento=total*descuento;
				total=total-descuento;
				tazaimpuesto = (13/100);
				impuesto=total* tazaimpuesto;
				var original=parseFloat(total);
				var result=Math.round(original*100)/100 ;
				document.getElementById("importe").value=result;
				document.getElementById("impuesto").value=impuesto;
				
				
				} else {
					
				descuento=descuento/100;
				total=preivi*cantidad;
				descuento=total*descuento;
				total=total-descuento;
				var original=parseFloat(total);
				var result=Math.round(original*100)/100 ;
				document.getElementById("importe").value=result;
			
			}
			} 
			
			
				if (document.getElementById("cliexe").value==2){
			
			document.getElementById("importe").value="";
				var preivi=document.getElementById("preivi").value;
				var cantidad=document.getElementById("cantidad").value;
				var descuento=document.getElementById("descuento").value;
			
				descuento=descuento/100;
				total=preivi*cantidad;
				descuento=total*descuento;
				total=total-descuento;
				var original=parseFloat(total);
				var result=Math.round(original*100)/100 ;
				document.getElementById("importe").value=result;
					
			
			
			}
				}
			
			
	
			
		function validar_cabecera()
			{
			
		  	if (confirm(" Factura Completa ? "))
			
				var mensaje="";
				if (document.getElementById("cdgcli").value=="") mensaje+="  - Código Cliente\n";
				if (document.getElementById("dsccli").value=="") mensaje+="  - Nombre del Cliente\n";
				if (document.getElementById("fecha").value=="") mensaje+="  - Fecha\n";
			    if (document.getElementById("preciototal").value=="") mensaje+="  - Total de Factura\n";
		
				if (mensaje!="") {
					alert("Atencion, Los siguientes campos son obligatorios:\n\n"+mensaje);
				} else {
					document.getElementById("formulario").submit();
				}
			}	
		
		function validar() 
			{
			
			
				var mensaje="";
				var mensaje="";
				var entero=0;
				var enteroo=0;
		         
		
				if (document.getElementById("cdgart").value=="") mensaje="  - Código de articulo\n";
				if (document.getElementById("dscart").value=="") mensaje+="  - Descripción del articulo\n";
				if (document.getElementById("preivi").value=="") { 
					
							mensaje+="  - Falta el Precio\n"; 
						} else {
							if (isNaN(document.getElementById("preivi").value)==true) {
								mensaje+="  - El Precio debe ser numerico\n";
							}
						}
				if (document.getElementById("cantidad").value=="") 
						{ 
						mensaje+="  - Falta la cantidad\n";
						} else {
							entero=document.getElementById("cantidad").value;
							if (isNaN(entero)==true) {
								mensaje+="  - La cantidad debe ser numerica\n";
							} else {
									document.getElementById("cantidad").value=entero;
								}
						}
				if (document.getElementById("descuento").value=="") 
						{ 
						document.getElementById("descuento").value=0 
						} else {
							entero=document.getElementById("descuento").value;
							if (isNaN(entero)==true) {
								mensaje+="  - El descuento debe ser numerico\n";
							} else {
								document.getElementById("descuento").value=entero;
							}
						} 
				if (document.getElementById("importe").value=="") mensaje+="  - Falta el Impuesto\n";
				
				if (mensaje!="") {
					alert("Atencion, los siguientes campos son necesarios:\n\n"+mensaje);
				} else {
					document.getElementById("baseimponible").value=parseFloat(document.getElementById("baseimponible").value) + parseFloat(document.getElementById("importe").value);	//
					cambio_cob_iv();
					
					document.getElementById("formulario_lineas").submit();
					document.getElementById("cdgart").value="";
					document.getElementById("dscart").value="";
					document.getElementById("preivi").value="";
					document.getElementById("cantidad").value="";
					document.getElementById("importe").value="";
					document.getElementById("descuento").value="";
					document.getElementById("cob_iv").value="";	
					document.getElementById("impuesto").value="";	
				
							
				}
			}
			
		function cambio_cob_iv() {
			var original=parseFloat(document.getElementById("baseimponible").value);
			var result=Math.round(original*100)/100 ;
			document.getElementById("baseimponible").value=result;
	
			document.getElementById("baseimpuestos").value= parseFloat(document.getElementById("impuesto"));
			var original1=parseFloat(document.getElementById("baseimpuestos").value);
			var result1=Math.round(original1*100)/100 ;
			document.getElementById("baseimpuestos").value=result1;
			var original2=parseFloat(result + result1);
			var result2=Math.round(original2*100)/100 ;
			document.getElementById("preciototal").value=result2;
			
		}	

//nombre del primer campo en la secuencia
siguienteCampo = ""
//nombre del formlario
nombreForm = "formulario"

//funcion que gestiona el evento
function TelcaPulsada( e ) {

   if ( window.event != null)				//IE4+
      tecla = window.event.keyCode;
   else if ( e != null ) 				//N4+ o W3C compatibles
      tecla = e.which;
   else
      return;
	
   if (tecla == 13) { 					//se pulso enter
      if ( siguienteCampo == 'fin' ) {			//fin de la secuencia, hace el submit
         alert('Envio del formulario.')			//eliminar este alert para uso normal
         return false					//sustituir por return true para hacer el submit
      } else { 						//da el foco al siguiente campo
         eval('document.' + nombreForm + '.' + siguienteCampo + '.focus()')
         return false
      }
   }
}

document.onkeydown = TelcaPulsada;			//asigna el evento pulsacion tecla a la funcion
if (document.captureEvents)				//netscape es especial: requiere activar la captura del evento
	document.captureEvents(Event.KEYDOWN)
	
	///////////////////////////////////////////////// Funcion deshabilitar y habilitar campos///////////////////////////////////////////
	
function chequea(cdgcli,combotipoventa,dsccli){
	if (cdgcli.value != "9999"){
		combotipoventa.disabled=false;	
		dsccli.disabled=true;
		cedcli.disabled=true;
	} else {
		combotipoventa.disabled=true;
		dsccli.disabled=false;
		cedcli.disabled=false;
	
	}
}
/////////////////////////////////////////////////////////////////

function puntitos(donde,caracter,campo)
{
var decimales = false
campo = eval("donde.form." + campo)
	for (d =0; d < campo.length; d++)
		{
		if(campo[d].checked == true)
			{
			dec = new Number(campo[d].value)
			break;
			}
		}
	if (dec != 0)
		{decimales = true}




pat = /[\*,\+,\(,\),\?,\\,\$,\[,\],\^]/
valor = donde.value
largo = valor.length
crtr = true
if(isNaN(caracter) || pat.test(caracter) == true)
	{
	if (pat.test(caracter)==true) 
		{caracter = "\\" + caracter}
	carcter = new RegExp(caracter,"g")
	valor = valor.replace(carcter,"")
	donde.value = valor
	crtr = false
	}
else
	{
	var nums = new Array()
	cont = 0
	for(m=0;m<largo;m++)
		{
		if(valor.charAt(m) == "," || valor.charAt(m) == " " || valor.charAt(m) == ".")
			{continue;}
		else{
			nums[cont] = valor.charAt(m)
			cont++
			}
		
		}
	}

if(decimales == true) {
	ctdd = eval(1 + dec);
	nmrs = 1
	}
else {
	ctdd = 1; nmrs = 3
	}
var cad1="",cad2="",cad3="",tres=0
if(largo > nmrs && crtr == true)
	{
	for (k=nums.length-ctdd;k>=0;k--){
		cad1 = nums[k]
		cad2 = cad1 + cad2
		tres++
		if((tres%3) == 0){
			if(k!=0){
				cad2 = "," + cad2
				}
			}
		}
		
	for (dd = dec; dd > 0; dd--)	
	{cad3 += nums[nums.length-dd] }
	if(decimales == true)
	{cad2 += "." + cad3}
	 donde.value = cad2
	}
donde.focus()
}	

////////////////////////////////////////////////////////
		</script>
	</head>
	<body>
		<div id="">
			<div id="zonaContenido">
				<div align="center">
					<div class="contenidoFactura2">
				<form id="formulario" name="formulario" method="post" action="guardar_proforma.php">
					<table class="fuente8" width="98%" cellspacing=2 cellpadding=0 border=0>
						
						<tr>
							<td width="16%">&nbsp;</td>
					      <td rowspan="2"><input name="cdgcli" type="text" class="cajaPequena" id="cdgcli" size="6" maxlength="5" Click="limpiarcaja()" onChange="validarcliente()"  onKeyup="chequea(this,this.form.combotipoventa,dsccli)"  onFocus="siguienteCampo ='vehpla';">
				          <img src="../img/Search_Male_User_Icon_32.png" width="32" height="32" onClick="abreVentana()" title="Buscar cliente" onMouseOver="style.cursor=cursor"></td>					
						  <td rowspan="2">Placa</td>
						  <td rowspan="2"><input NAME="vehpla" class="cajaPequena" id="vehpla" type="text" ></td>
						  <td rowspan="2">Credito</td>
						  <td width="10%" rowspan="2"><select id="combotipoventa" name="combotipoventa" class="comboPequeno"  disabled=true onFocus="siguienteCampo ='kmsveh';">
                        <?php
					  	$query_tipoventa="SELECT * FROM tipoventa";
						$res_tipoventa=mysql_query($query_tipoventa);
						$contador=0;
					  ?>
                        <?php

								while ($contador < mysql_num_rows($res_tipoventa)) { ?>
                        <option value="<?php echo mysql_result($res_tipoventa,$contador,"cdgtipven")?>"><?php echo mysql_result($res_tipoventa,$contador,"dsctipven")?></option>
                        <? $contador++;
								} ?>
                      </select></td>
						  <td width="9%" rowspan="2">KM </td>
						  <td width="9%" rowspan="2"><input NAME="kmsveh" type="text" class="cajaPequena" id="kmsveh" size="20" maxlength="15" onFocus="siguienteCampo ='cdgcli';"></td>
						  <td rowspan="2">&nbsp;</td>
						</tr>
						<tr>
						  <td>C&oacute;digo Cliente </td>
					  </tr>
						<tr>
							<td width="16%">Nombre</td>
					      <td width="28%"><input NAME="dsccli" type="text" class="cajaGrande" id="dsccli" size="45" maxlength="45" disabled=true     onFocus="siguienteCampo ='vehpla';"></td>
				            <td width="6%">Cedula</td>
				            <td width="9%"><input NAME="cedcli" type="text" class="cajaPequena" id="cedcli" size="20" maxlength="15"  disabled=true onFocus="siguienteCampo ='combotipoventa';"></td>
					

									 <? $hoy=date("d/m/Y"); ?>		
						    <td width="8%">Fecha</td>
						    <td><input NAME="fecha" type="text" class="cajaPequena" id="fecha" size="10" maxlength="10" value="<? echo $hoy?>" readonly></td>
						    <td>Vendedor</td>
						    <<td><input NAME="fecha" type="text" class="cajaPequena" id="fecha" size="10" maxlength="10" value="<? echo $nomb?>" readonly>

  </td>
						    <td width="5%"><input name="cob_iv"  id="cob_iv" value="<? echo $ivaimp?>" onChange="cambio_cob_iv()" type="hidden"></td>
					  </table>		
			  <input id="cliexe" name="cliexe" value="<? echo $cliexe?>"  type="hidden">								
			  <input id="codfacturatmp" name="codfacturatmp" value="<? echo $codfacturatmp?>" type="hidden">
			  <input id="baseimpuestos2" name="baseimpuestos" value="<? echo $baseimpuestos?>" type="hidden">  

			  <input id="baseimponible2" name="baseimponible" value="<? echo $baseimponible?>" type="hidden">
			  <input id="preciototal2" name="preciototal" value="<? echo $preciototal?>" type="hidden">
			  <input id="accion" name="accion" value="alta" type="hidden">
				</form>
				<form id="formulario_lineas" name="formulario_lineas" method="post" action="frame_lineas.php" target="frame_lineas">
				<table class="fuente8" width="98%" cellspacing=0 cellpadding=3 border=0>
				  
				  <tr>
					<td width="4%">Codigo</td>
                    
			 <td width="5%"><input name="cdgart" type="text" class="cajaPequena" id="cdgart" size="15" maxlength="15"  onChange="validararticulo()"  onFocus="siguienteCampo ='dscart';"></td>
			                       <td width="4%"><img src="../img/search-b-icon (5).png" width="32" height="32" onClick="ventanaArticulos()" onMouseOver="style.cursor=cursor" title="Buscar articulos"></td>
			                       <td width="5%">Articulo</td>
			                       <input id="impuesto" name="impuesto" value="<? echo $impuesto?>"  type="hidden">
					<td width="20%"><input name="dscart" type="text" class="cajaMedia" id="dscart" size="30" maxlength="30"  readonly="" onChange="actualizar_importe()" onFocus="siguienteCampo ='preivi';"  ></td>
					<td width="7%">Precio
					<td width="3%"><? echo $simbolomoneda ?></td> 
					<td width="18%"><input NAME="preivi" type="text" class="cajaPequena2" id="preivi" maxlength="10"   readonly="" onChange="actualizar_importe()" onFocus="siguienteCampo ='cantidad';"></td>
					<td width="6%">Cantidad</td>
					<td width="6%"><input name="cantidad" type="text" class="cajaMinima" id="cantidad" size="10" maxlength="10" value="" onChange="actualizar_importe()" onFocus="siguienteCampo ='descuento';" ></td>
					<td width="4%">Dcto.</td>
					<td width="6%"><input NAME="descuento" type="text" class="cajaMinima" id="descuento" size="10" maxlength="10" value="0" onChange="actualizar_importe()" onFocus="siguienteCampo ='cdgart';"><td width="2%">%</td>
					<td width="1%"></td>
					<td width="5%">Monto
					<td width="2%"><? echo $simbolomoneda ?></td><td width="1%"></td>
					<td width="6%"><input name="importe" type="text" class="cajaPequena2" id="importe" size="10" maxlength="10" value="0" readonly>					</td>
					<td width="4%"><img src="../img/Arrow-Down_32x32-32.png" width="32" height="32" border="0" onClick="validar()" onMouseOver="style.cursor=cursor" title="Agregar articulo"></td>
				  </tr>
				</table>
			
				<input name="codarticulo" value="<? echo $codarticulo?>" type="hidden" id="codarticulo">
				
				</div>
				
			
			<table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0 ID="Table1">
						<tr class="cabeceraTabla">
						
							<td width="9%"><span >CODIGO</span></td>
							<td width="49%"><span >DETALLE</span></td>
							<td width="8%"><span>CANTIDAD</span></td>
							<td width="8%"><span >PRECIO</span></td>
							<td width="10%"><span>DCTO %</span></td>
							<td width="8%"><span>MONTO</span></td>
							<td width="3%">&nbsp;</td>
						</tr>
				</table>
				<div id="lineaResultado2">
				  <iframe width="100%" height="310" id="frame_lineas" name="frame_lineas" frameborder="0">
                  <ilayer width="100%" height="310" id="frame_lineas" name="frame_lineas"></ilayer>
				  </iframe>
				</div>					
			  </div>
			  <div id="frmBusqueda" style="display:none">
				<table width="25%" border=0 align="right" cellpadding=3 cellspacing=0 class="fuente8">
			  <tr>
			    <td width="27%" class="busqueda">Sub-total</td>
				<td width="73%" align="right"><div align="center"><? echo $simbolomoneda ?>
			      <input class="cajaTotales" name="baseimponible" type="text" id="baseimponible" size="12" value=0 align="right" readonly> 
		        </div></td>
			  </tr>
			  <tr>
				<td class="busqueda">IVA</td>
				<td align="right"><div align="center"><? echo $simbolomoneda ?>
			      <input class="cajaTotales" name="baseimpuestos" type="text" id="baseimpuestos" size="12" align="right" value=0 readonly> 
		        </div></td>
			  </tr>
			  <tr>
				<td class="busqueda">Precio Total</td>
				<td align="right"><div align="center"><? echo $simbolomoneda ?>
			      <input class="cajaTotales" name="preciototal" type="text" id="preciototal" size="12" align="right"  readonly> 
		        </div></td>
			  </tr>
		</table>
			  </div>
				<div id="botonBusquedaAWGP">					
				  <div align="center">
				    <img src="../img/Symbol-Check_48x48-32.png" name="boton" width="48" height="48" border="0" class="aCentro"  id="boton"    onClick=" validar_cabecera(); " onMouseOver="style.cursor=cursor"  disabled="disabled" value="Deshabilitado">
					<img src="../img/Symbol-Delete_48x48-32.png" width="48" height="48" border="0" class="aCentro" onClick="cancelar()" onMouseOver="style.cursor=cursor">
				    <input id="codfamilia" name="codfamilia" value="<? echo $codfamilia?>" type="hidden">
				    <input id="codfacturatmp" name="codfacturatmp" value="<? echo $codfacturatmp?>" type="hidden">	
					<input id="preciototal" name="preciototal" value="<? echo $preciototal?>" type="hidden">			    
			      </div>
				</div>
			  		<iframe id="frame_datos1" name="frame_datos1" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos1" name="frame_datos1"></ilayer>
					</iframe>
					<iframe id="frame_datos2" name="frame_datos2" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos2" name="frame_datos2"></ilayer>
					</iframe>
			  </form>
			 </div>
    </div>
		</div>
	</body>
</html>





